﻿Public Class HlavniHerniDeska

    Inherits HerniDeska

    ''PROPERTIES''

    ''METHODS''

    ''' <summary>
    ''' Procedura pro vykreslení současné desky
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub VykresliSoucasnouDesku()

        For a As Byte = 0 To 35
            VykresliPole(a, _Pole(a))
        Next

    End Sub

    ''' <summary>
    ''' Procedura pro vykreslení 1 políčka
    ''' </summary>
    ''' <param name="Pole">Políčko k vykreslení</param>
    ''' <param name="HodnotaPole">Hodnota pole pro kreslení</param>
    ''' <remarks></remarks>
    Public Sub VykresliPole(ByVal Pole As Byte, ByVal HodnotaPole As SByte)

        Select Case Pole

            Case 0
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard00)
            Case 1
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard10)
            Case 2
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard20)
            Case 3
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard30)
            Case 4
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard40)
            Case 5
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard50)
            Case 6
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard01)
            Case 7
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard11)
            Case 8
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard21)
            Case 9
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard31)
            Case 10
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard41)
            Case 11
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard51)
            Case 12
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard02)
            Case 13
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard12)
            Case 14
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard22)
            Case 15
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard32)
            Case 16
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard42)
            Case 17
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard52)
            Case 18
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard03)
            Case 19
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard13)
            Case 20
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard23)
            Case 21
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard33)
            Case 22
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard43)
            Case 23
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard53)
            Case 24
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard04)
            Case 25
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard14)
            Case 26
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard24)
            Case 27
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard34)
            Case 28
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard44)
            Case 29
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard54)
            Case 30
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard05)
            Case 31
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard15)
            Case 32
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard25)
            Case 33
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard35)
            Case 34
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard45)
            Case 35
                Urci_MistoKresleni(HodnotaPole, Main.PicBoard55)
            Case Else
                MsgBox("Bad input: Public Sub BoardOperations_DrawField(ByVal FieldIndex As Byte, ByVal FieldValue As SByte)")

        End Select

    End Sub

    ''' <summary>
    ''' Procedura pro urceni sipky ke kresleni.
    ''' </summary>
    ''' <param name="PointerValue">Číslo příslušící šipce</param>
    ''' <param name="PictureBox">PictureBox</param>
    ''' <remarks></remarks>
    Private Sub Determine_DrawPointer(ByVal PointerValue As SByte, ByRef PictureBox As PictureBox)

        With PictureBox

            Select Case PointerValue
                Case 1
                    .Image = Bitmap.FromFile(ImagePath & "right_arrow.png")
                Case -1
                    .Image = Bitmap.FromFile(ImagePath & "right_arrow_2.png")
                Case 2
                    .Image = Bitmap.FromFile(ImagePath & "up_arrow.png")
                Case -2
                    .Image = Bitmap.FromFile(ImagePath & "up_arrow_2.png")
                Case 3
                    .Image = Bitmap.FromFile(ImagePath & "left_arrow.png")
                Case -3
                    .Image = Bitmap.FromFile(ImagePath & "left_arrow_2.png")
                Case 4
                    .Image = Bitmap.FromFile(ImagePath & "down_arrow.png")
                Case -4
                    .Image = Bitmap.FromFile(ImagePath & "down_arrow_2.png")
            End Select

        End With

    End Sub

    ''' <summary>
    ''' Procedura pro vykreslování šipky
    ''' </summary>
    ''' <param name="indexSipky">index šipky</param>
    ''' <param name="hodnotaSipky">hodnota šipky</param>
    ''' <remarks></remarks>
    Private Sub VykresliSipku(ByVal indexSipky As Byte, ByVal hodnotaSipky As SByte)

        Select Case indexSipky

            Case 0
                Determine_DrawPointer(hodnotaSipky, Main.PicDownArrow1)
            Case 1
                Determine_DrawPointer(hodnotaSipky, Main.PicLeftArrow1)
            Case 2
                Determine_DrawPointer(hodnotaSipky, Main.PicRightArrow2)
            Case 3
                Determine_DrawPointer(hodnotaSipky, Main.PicDownArrow2)
            Case 4
                Determine_DrawPointer(hodnotaSipky, Main.PicUpArrow3)
            Case 5
                Determine_DrawPointer(hodnotaSipky, Main.PicRightArrow3)
            Case 6
                Determine_DrawPointer(hodnotaSipky, Main.PicLeftArrow4)
            Case 7
                Determine_DrawPointer(hodnotaSipky, Main.PicUpArrow4)
            Case Else
                MsgBox("Bad input: Public Sub BoardOperations_DrawPointer(ByVal PointerIndex As Byte, ByVal PointerValue As SByte)")

        End Select

    End Sub

    ''' <summary>
    ''' Procedura pro vykreslování políčka
    ''' </summary>
    ''' <param name="HodnotaPole">Hodnota pole</param>
    ''' <param name="PictureBox">Příslušný picturebox</param>
    ''' <remarks></remarks>
    Private Sub Urci_MistoKresleni(ByVal HodnotaPole As SByte, ByRef PictureBox As PictureBox)

        With PictureBox

            Select Case HodnotaPole
                Case 2
                    .Image = Bitmap.FromFile(ImagePath & "white_point_2.png")
                Case 1
                    .Image = Bitmap.FromFile(ImagePath & "white_point.png")
                Case 0
                    .Image = Bitmap.FromFile(ImagePath & "free_point.png")
                Case -1
                    .Image = Bitmap.FromFile(ImagePath & "black_point.png")
                Case -2
                    .Image = Bitmap.FromFile(ImagePath & "black_point_2.png")
            End Select

        End With

    End Sub

    ''' <summary>
    ''' Vykreslování kvadrantů
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub Vykresli_Q1()

        For a As Byte = 0 To 2
            VykresliPole(3 + a, _Pole(3 + a))
            VykresliPole(9 + a, _Pole(9 + a))
            VykresliPole(15 + a, _Pole(15 + a))
        Next

    End Sub
    Public Sub Vykresli_Q2()

        For a As Byte = 0 To 2
            VykresliPole(0 + a, _Pole(0 + a))
            VykresliPole(6 + a, _Pole(6 + a))
            VykresliPole(12 + a, _Pole(12 + a))
        Next

    End Sub
    Public Sub Vykresli_Q3()

        For a As Byte = 0 To 2
            VykresliPole(18 + a, _Pole(18 + a))
            VykresliPole(24 + a, _Pole(24 + a))
            VykresliPole(30 + a, _Pole(30 + a))
        Next

    End Sub
    Public Sub Vykresli_Q4()

        For a As Byte = 0 To 2
            VykresliPole(21 + a, _Pole(21 + a))
            VykresliPole(27 + a, _Pole(27 + a))
            VykresliPole(33 + a, _Pole(33 + a))
        Next

    End Sub

    ''' <summary>
    ''' Vykreslování plánovaných rotací
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub VykresliPlan_Q1R()

        VykresliPole(3, BoardOperations_ExtremizeValue(_Pole(15)))
        VykresliPole(4, BoardOperations_ExtremizeValue(_Pole(9)))
        VykresliPole(5, BoardOperations_ExtremizeValue(_Pole(3)))
        VykresliPole(9, BoardOperations_ExtremizeValue(_Pole(16)))
        VykresliPole(10, BoardOperations_ExtremizeValue(_Pole(10)))
        VykresliPole(11, BoardOperations_ExtremizeValue(_Pole(4)))
        VykresliPole(15, BoardOperations_ExtremizeValue(_Pole(17)))
        VykresliPole(16, BoardOperations_ExtremizeValue(_Pole(11)))
        VykresliPole(17, BoardOperations_ExtremizeValue(_Pole(5)))

    End Sub
    Private Sub VykresliPlan_Q1L()

        VykresliPole(3, BoardOperations_ExtremizeValue(_Pole(5)))
        VykresliPole(4, BoardOperations_ExtremizeValue(_Pole(11)))
        VykresliPole(5, BoardOperations_ExtremizeValue(_Pole(17)))
        VykresliPole(9, BoardOperations_ExtremizeValue(_Pole(4)))
        VykresliPole(10, BoardOperations_ExtremizeValue(_Pole(10)))
        VykresliPole(11, BoardOperations_ExtremizeValue(_Pole(16)))
        VykresliPole(15, BoardOperations_ExtremizeValue(_Pole(3)))
        VykresliPole(16, BoardOperations_ExtremizeValue(_Pole(9)))
        VykresliPole(17, BoardOperations_ExtremizeValue(_Pole(15)))

    End Sub
    Private Sub VykresliPlan_Q2R()

        VykresliPole(0, BoardOperations_ExtremizeValue(_Pole(12)))
        VykresliPole(1, BoardOperations_ExtremizeValue(_Pole(6)))
        VykresliPole(2, BoardOperations_ExtremizeValue(_Pole(0)))
        VykresliPole(6, BoardOperations_ExtremizeValue(_Pole(13)))
        VykresliPole(7, BoardOperations_ExtremizeValue(_Pole(7)))
        VykresliPole(8, BoardOperations_ExtremizeValue(_Pole(1)))
        VykresliPole(12, BoardOperations_ExtremizeValue(_Pole(14)))
        VykresliPole(13, BoardOperations_ExtremizeValue(_Pole(8)))
        VykresliPole(14, BoardOperations_ExtremizeValue(_Pole(2)))

    End Sub
    Private Sub VykresliPlan_Q2L()

        VykresliPole(0, BoardOperations_ExtremizeValue(_Pole(2)))
        VykresliPole(1, BoardOperations_ExtremizeValue(_Pole(8)))
        VykresliPole(2, BoardOperations_ExtremizeValue(_Pole(14)))
        VykresliPole(6, BoardOperations_ExtremizeValue(_Pole(1)))
        VykresliPole(7, BoardOperations_ExtremizeValue(_Pole(7)))
        VykresliPole(8, BoardOperations_ExtremizeValue(_Pole(13)))
        VykresliPole(12, BoardOperations_ExtremizeValue(_Pole(0)))
        VykresliPole(13, BoardOperations_ExtremizeValue(_Pole(6)))
        VykresliPole(14, BoardOperations_ExtremizeValue(_Pole(12)))

    End Sub
    Private Sub VykresliPlan_Q3R()

        VykresliPole(18, BoardOperations_ExtremizeValue(_Pole(30)))
        VykresliPole(19, BoardOperations_ExtremizeValue(_Pole(24)))
        VykresliPole(20, BoardOperations_ExtremizeValue(_Pole(18)))
        VykresliPole(24, BoardOperations_ExtremizeValue(_Pole(31)))
        VykresliPole(25, BoardOperations_ExtremizeValue(_Pole(25)))
        VykresliPole(26, BoardOperations_ExtremizeValue(_Pole(19)))
        VykresliPole(30, BoardOperations_ExtremizeValue(_Pole(32)))
        VykresliPole(31, BoardOperations_ExtremizeValue(_Pole(26)))
        VykresliPole(32, BoardOperations_ExtremizeValue(_Pole(20)))

    End Sub
    Private Sub VykresliPlan_Q3L()

        VykresliPole(18, BoardOperations_ExtremizeValue(_Pole(20)))
        VykresliPole(19, BoardOperations_ExtremizeValue(_Pole(26)))
        VykresliPole(20, BoardOperations_ExtremizeValue(_Pole(32)))
        VykresliPole(24, BoardOperations_ExtremizeValue(_Pole(19)))
        VykresliPole(25, BoardOperations_ExtremizeValue(_Pole(25)))
        VykresliPole(26, BoardOperations_ExtremizeValue(_Pole(31)))
        VykresliPole(30, BoardOperations_ExtremizeValue(_Pole(18)))
        VykresliPole(31, BoardOperations_ExtremizeValue(_Pole(24)))
        VykresliPole(32, BoardOperations_ExtremizeValue(_Pole(30)))

    End Sub
    Private Sub VykresliPlan_Q4R()

        VykresliPole(21, BoardOperations_ExtremizeValue(_Pole(33)))
        VykresliPole(22, BoardOperations_ExtremizeValue(_Pole(27)))
        VykresliPole(23, BoardOperations_ExtremizeValue(_Pole(21)))
        VykresliPole(27, BoardOperations_ExtremizeValue(_Pole(34)))
        VykresliPole(28, BoardOperations_ExtremizeValue(_Pole(28)))
        VykresliPole(29, BoardOperations_ExtremizeValue(_Pole(22)))
        VykresliPole(33, BoardOperations_ExtremizeValue(_Pole(35)))
        VykresliPole(34, BoardOperations_ExtremizeValue(_Pole(29)))
        VykresliPole(35, BoardOperations_ExtremizeValue(_Pole(23)))

    End Sub
    Private Sub VykresliPlan_Q4L()

        VykresliPole(21, BoardOperations_ExtremizeValue(_Pole(23)))
        VykresliPole(22, BoardOperations_ExtremizeValue(_Pole(29)))
        VykresliPole(23, BoardOperations_ExtremizeValue(_Pole(35)))
        VykresliPole(27, BoardOperations_ExtremizeValue(_Pole(22)))
        VykresliPole(28, BoardOperations_ExtremizeValue(_Pole(28)))
        VykresliPole(29, BoardOperations_ExtremizeValue(_Pole(34)))
        VykresliPole(33, BoardOperations_ExtremizeValue(_Pole(21)))
        VykresliPole(34, BoardOperations_ExtremizeValue(_Pole(27)))
        VykresliPole(35, BoardOperations_ExtremizeValue(_Pole(33)))

    End Sub

    ''' <summary>
    ''' Procedury pro změnu šipky a ukázání rotace
    ''' </summary>
    ''' <remarks></remarks>
#Region "Procedury vyvolané vjetím myši"

    Public Sub Rotations_Hover_Q1L()

        If ConditionsBlock() = True Then

            VykresliSipku(1, -3)
            VykresliPlan_Q1L()

        End If

    End Sub
    Public Sub Rotations_Hover_Q1R()

        If ConditionsBlock() = True Then

            VykresliSipku(0, -4)
            VykresliPlan_Q1R()

        End If

    End Sub

    Public Sub Rotations_Hover_Q2L()

        If ConditionsBlock() = True Then

            VykresliSipku(3, -4)
            VykresliPlan_Q2L()
            
        End If

    End Sub
    Public Sub Rotations_Hover_Q2R()

        If ConditionsBlock() = True Then

            VykresliSipku(2, -1)
            VykresliPlan_Q2R()
            
        End If

    End Sub

    Public Sub Rotations_Hover_Q3L()

        If ConditionsBlock() = True Then

            VykresliSipku(5, -1)
            VykresliPlan_Q3L()
            
        End If

    End Sub
    Public Sub Rotations_Hover_Q3R()

        If ConditionsBlock() = True Then

            VykresliSipku(4, -2)
            VykresliPlan_Q3R()
            
        End If

    End Sub

    Public Sub Rotations_Hover_Q4L()

        If ConditionsBlock() = True Then

            VykresliSipku(7, -2)
            VykresliPlan_Q4L()
            
        End If

    End Sub
    Public Sub Rotations_Hover_Q4R()

        If ConditionsBlock() = True Then

            VykresliSipku(6, -3)
            VykresliPlan_Q4R()

        End If

    End Sub

#End Region

    ''' <summary>
    ''' Procedury pro změnu šipky a vakreslení pole
    ''' </summary>
    ''' <remarks></remarks>
#Region "Procedury vyvolané vyjetím myši"

    Public Sub Rotations_Exit_Q1L()

        VykresliSipku(1, 3)
        Vykresli_Q1()
        
    End Sub
    Public Sub Rotations_Exit_Q1R()

        VykresliSipku(0, 4)
        Vykresli_Q1()

    End Sub

    Public Sub Rotations_Exit_Q2L()

        VykresliSipku(3, 4)
        Vykresli_Q2()

    End Sub
    Public Sub Rotations_Exit_Q2R()

        VykresliSipku(2, 1)
        Vykresli_Q2()

    End Sub

    Public Sub Rotations_Exit_Q3L()

        VykresliSipku(5, 1)
        Vykresli_Q3()

    End Sub
    Public Sub Rotations_Exit_Q3R()

        VykresliSipku(4, 2)
        Vykresli_Q3()

    End Sub

    Public Sub Rotations_Exit_Q4L()

        VykresliSipku(7, 2)
        Vykresli_Q4()

    End Sub
    Public Sub Rotations_Exit_Q4R()

        VykresliSipku(6, 3)
        Vykresli_Q4()

    End Sub

#End Region

    ''' <summary>
    ''' Procedura pro změnu pole při přejetí myši
    ''' </summary>
    ''' <param name="Pole">Pole změny</param>
    ''' <remarks></remarks>
    Public Sub BoardOperations_DoOnHover(ByVal Pole As Byte)

        If _Pole(Pole) = 0 Then
            If _HracNaTahu = -1 And _CernyTahnul = False And _HracCerny = 0 Then

                VykresliPole(Pole, -2)

            ElseIf _HracNaTahu = 1 And _BilyTahnul = False And _HracBily = 0 Then

                VykresliPole(Pole, 2)

            End If
        End If

    End Sub

    ''' <summary>
    ''' Procedura pro návrat pole k normálu po vyjetí myši
    ''' </summary>
    ''' <param name="Pole">Pole změny</param>
    ''' <remarks></remarks>
    Public Sub BoardOperations_DoOnLeaving(ByVal Pole As Byte)

        If _Pole(Pole) = 0 Then VykresliPole(Pole, 0)

    End Sub

    ''' <summary>
    ''' Procedury pro zvýraznění rotace při provádění
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub ShowRotating_Q1R()

        Main.PicBoard30.Image = Bitmap.FromFile(ImagePath & "rotation_right_1.png")
        Main.PicBoard40.Image = Bitmap.FromFile(ImagePath & "rotation_right_2.png")
        Main.PicBoard50.Image = Bitmap.FromFile(ImagePath & "rotation_right_3.png")

        Main.PicBoard31.Image = Bitmap.FromFile(ImagePath & "rotation_right_4.png")
        Main.PicBoard41.Image = Bitmap.FromFile(ImagePath & "rotation_right_5.png")
        Main.PicBoard51.Image = Bitmap.FromFile(ImagePath & "rotation_right_6.png")

        Main.PicBoard32.Image = Bitmap.FromFile(ImagePath & "rotation_right_7.png")
        Main.PicBoard42.Image = Bitmap.FromFile(ImagePath & "rotation_right_8.png")
        Main.PicBoard52.Image = Bitmap.FromFile(ImagePath & "rotation_right_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q1L()

        Main.PicBoard30.Image = Bitmap.FromFile(ImagePath & "rotation_left_1.png")
        Main.PicBoard40.Image = Bitmap.FromFile(ImagePath & "rotation_left_2.png")
        Main.PicBoard50.Image = Bitmap.FromFile(ImagePath & "rotation_left_3.png")

        Main.PicBoard31.Image = Bitmap.FromFile(ImagePath & "rotation_left_4.png")
        Main.PicBoard41.Image = Bitmap.FromFile(ImagePath & "rotation_left_5.png")
        Main.PicBoard51.Image = Bitmap.FromFile(ImagePath & "rotation_left_6.png")

        Main.PicBoard32.Image = Bitmap.FromFile(ImagePath & "rotation_left_7.png")
        Main.PicBoard42.Image = Bitmap.FromFile(ImagePath & "rotation_left_8.png")
        Main.PicBoard52.Image = Bitmap.FromFile(ImagePath & "rotation_left_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q2R()

        Main.PicBoard00.Image = Bitmap.FromFile(ImagePath & "rotation_right_1.png")
        Main.PicBoard10.Image = Bitmap.FromFile(ImagePath & "rotation_right_2.png")
        Main.PicBoard20.Image = Bitmap.FromFile(ImagePath & "rotation_right_3.png")

        Main.PicBoard01.Image = Bitmap.FromFile(ImagePath & "rotation_right_4.png")
        Main.PicBoard11.Image = Bitmap.FromFile(ImagePath & "rotation_right_5.png")
        Main.PicBoard21.Image = Bitmap.FromFile(ImagePath & "rotation_right_6.png")

        Main.PicBoard02.Image = Bitmap.FromFile(ImagePath & "rotation_right_7.png")
        Main.PicBoard12.Image = Bitmap.FromFile(ImagePath & "rotation_right_8.png")
        Main.PicBoard22.Image = Bitmap.FromFile(ImagePath & "rotation_right_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q2L()

        Main.PicBoard00.Image = Bitmap.FromFile(ImagePath & "rotation_left_1.png")
        Main.PicBoard10.Image = Bitmap.FromFile(ImagePath & "rotation_left_2.png")
        Main.PicBoard20.Image = Bitmap.FromFile(ImagePath & "rotation_left_3.png")

        Main.PicBoard01.Image = Bitmap.FromFile(ImagePath & "rotation_left_4.png")
        Main.PicBoard11.Image = Bitmap.FromFile(ImagePath & "rotation_left_5.png")
        Main.PicBoard21.Image = Bitmap.FromFile(ImagePath & "rotation_left_6.png")

        Main.PicBoard02.Image = Bitmap.FromFile(ImagePath & "rotation_left_7.png")
        Main.PicBoard12.Image = Bitmap.FromFile(ImagePath & "rotation_left_8.png")
        Main.PicBoard22.Image = Bitmap.FromFile(ImagePath & "rotation_left_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q3R()

        Main.PicBoard03.Image = Bitmap.FromFile(ImagePath & "rotation_right_1.png")
        Main.PicBoard13.Image = Bitmap.FromFile(ImagePath & "rotation_right_2.png")
        Main.PicBoard23.Image = Bitmap.FromFile(ImagePath & "rotation_right_3.png")

        Main.PicBoard04.Image = Bitmap.FromFile(ImagePath & "rotation_right_4.png")
        Main.PicBoard14.Image = Bitmap.FromFile(ImagePath & "rotation_right_5.png")
        Main.PicBoard24.Image = Bitmap.FromFile(ImagePath & "rotation_right_6.png")

        Main.PicBoard05.Image = Bitmap.FromFile(ImagePath & "rotation_right_7.png")
        Main.PicBoard15.Image = Bitmap.FromFile(ImagePath & "rotation_right_8.png")
        Main.PicBoard25.Image = Bitmap.FromFile(ImagePath & "rotation_right_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q3L()

        Main.PicBoard03.Image = Bitmap.FromFile(ImagePath & "rotation_left_1.png")
        Main.PicBoard13.Image = Bitmap.FromFile(ImagePath & "rotation_left_2.png")
        Main.PicBoard23.Image = Bitmap.FromFile(ImagePath & "rotation_left_3.png")

        Main.PicBoard04.Image = Bitmap.FromFile(ImagePath & "rotation_left_4.png")
        Main.PicBoard14.Image = Bitmap.FromFile(ImagePath & "rotation_left_5.png")
        Main.PicBoard24.Image = Bitmap.FromFile(ImagePath & "rotation_left_6.png")

        Main.PicBoard05.Image = Bitmap.FromFile(ImagePath & "rotation_left_7.png")
        Main.PicBoard15.Image = Bitmap.FromFile(ImagePath & "rotation_left_8.png")
        Main.PicBoard25.Image = Bitmap.FromFile(ImagePath & "rotation_left_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q4R()

        Main.PicBoard33.Image = Bitmap.FromFile(ImagePath & "rotation_right_1.png")
        Main.PicBoard43.Image = Bitmap.FromFile(ImagePath & "rotation_right_2.png")
        Main.PicBoard53.Image = Bitmap.FromFile(ImagePath & "rotation_right_3.png")

        Main.PicBoard34.Image = Bitmap.FromFile(ImagePath & "rotation_right_4.png")
        Main.PicBoard44.Image = Bitmap.FromFile(ImagePath & "rotation_right_5.png")
        Main.PicBoard54.Image = Bitmap.FromFile(ImagePath & "rotation_right_6.png")

        Main.PicBoard35.Image = Bitmap.FromFile(ImagePath & "rotation_right_7.png")
        Main.PicBoard45.Image = Bitmap.FromFile(ImagePath & "rotation_right_8.png")
        Main.PicBoard55.Image = Bitmap.FromFile(ImagePath & "rotation_right_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub
    Public Sub ShowRotating_Q4L()

        Main.PicBoard33.Image = Bitmap.FromFile(ImagePath & "rotation_left_1.png")
        Main.PicBoard43.Image = Bitmap.FromFile(ImagePath & "rotation_left_2.png")
        Main.PicBoard53.Image = Bitmap.FromFile(ImagePath & "rotation_left_3.png")

        Main.PicBoard34.Image = Bitmap.FromFile(ImagePath & "rotation_left_4.png")
        Main.PicBoard44.Image = Bitmap.FromFile(ImagePath & "rotation_left_5.png")
        Main.PicBoard54.Image = Bitmap.FromFile(ImagePath & "rotation_left_6.png")

        Main.PicBoard35.Image = Bitmap.FromFile(ImagePath & "rotation_left_7.png")
        Main.PicBoard45.Image = Bitmap.FromFile(ImagePath & "rotation_left_8.png")
        Main.PicBoard55.Image = Bitmap.FromFile(ImagePath & "rotation_left_9.png")

        Application.DoEvents()
        Threading.Thread.Sleep(RotatingSleepTime)

    End Sub


End Class
