﻿Public Class HerniDeska

    ''PROPERTIES''

    Public _Pole(35) As SByte
    ''' <summary>
    ''' Ukládá stav pozice
    ''' </summary>
    Public Property Pole() As SByte()
        Get
            Return _Pole
        End Get
        Set(ByVal value As SByte())
            _Pole = value
        End Set
    End Property

    Public _PosledniTah As Short
    ''' <summary>
    ''' Ukládá poslední tah
    ''' </summary>
    Public Property PosledniTah() As Short
        Get
            Return _PosledniTah
        End Get
        Set(ByVal value As Short)
            _PosledniTah = value
        End Set
    End Property

    Public _HracNaTahu As SByte
    ''' <summary>
    ''' Ukládá hráče na tahu
    ''' </summary>
    Public Property HracNaTahu() As SByte
        Get
            Return _HracNaTahu
        End Get
        Set(ByVal value As SByte)
            _HracNaTahu = value
        End Set
    End Property

    Public _HracBily As Byte
    ''' <summary>
    ''' Ukládá hráče který hraje za bílého (0-člověk,1-bot)
    ''' </summary>
    Public Property HracBily() As Byte
        Get
            Return _HracBily
        End Get
        Set(ByVal value As Byte)
            _HracBily = value
        End Set
    End Property

    Public _HracCerny As Byte
    ''' <summary>
    ''' Ukládá hráče který hraje za černého (0-člověk,1-bot)
    ''' </summary>
    Public Property HracCerny() As Byte
        Get
            Return _HracCerny
        End Get
        Set(ByVal value As Byte)
            _HracCerny = value
        End Set
    End Property

    Public _CisloTahu As Byte
    ''' <summary>
    ''' Ukládá číslo tahu
    ''' </summary>
    Public Property CisloTahu() As Byte
        Get
            Return _CisloTahu
        End Get
        Set(ByVal value As Byte)
            _CisloTahu = value
        End Set
    End Property

    Public _BilyTahnul As Boolean
    ''' <summary>
    ''' Ukládá zda-li bily hrac tahnul
    ''' </summary>
    Public Property BilyTahnul() As Boolean
        Get
            Return _BilyTahnul
        End Get
        Set(ByVal value As Boolean)
            _BilyTahnul = value
        End Set
    End Property

    Public _CernyTahnul As Boolean
    ''' <summary>
    ''' Ukládá zda-li cerny hrac tahnul
    ''' </summary>
    Public Property CernyTahnul() As Boolean
        Get
            Return _CernyTahnul
        End Get
        Set(ByVal value As Boolean)
            _CernyTahnul = value
        End Set
    End Property

    Public _BilyRotoval As Boolean
    ''' <summary>
    ''' Ukládá zda-li bily hrac rotoval
    ''' </summary>
    Public Property BilyRotoval() As Boolean
        Get
            Return _BilyRotoval
        End Get
        Set(ByVal value As Boolean)
            _BilyRotoval = value
        End Set
    End Property

    Public _CernyRotoval As Boolean
    ''' <summary>
    ''' Ukládá zda-li cerny hrac rotoval
    ''' </summary>
    Public Property CernyRotoval() As Boolean
        Get
            Return _CernyRotoval
        End Get
        Set(ByVal value As Boolean)
            _CernyRotoval = value
        End Set
    End Property

    Public _BilyCekaNaVyhru As Boolean
    ''' <summary>
    ''' Ukládá zda-li bily hrac CekaNaVyhru
    ''' </summary>
    Public Property BilyCekaNaVyhru() As Boolean
        Get
            Return _BilyCekaNaVyhru
        End Get
        Set(ByVal value As Boolean)
            _BilyCekaNaVyhru = value
        End Set
    End Property

    Public _CernyCekaNaVyhru As Boolean
    ''' <summary>
    ''' Ukládá zda-li cerny hrac CekaNaVyhru
    ''' </summary>
    Public Property CernyCekaNaVyhru() As Boolean
        Get
            Return _CernyCekaNaVyhru
        End Get
        Set(ByVal value As Boolean)
            _CernyCekaNaVyhru = value
        End Set
    End Property


    ''METHODS''

    ''' <summary>
    ''' Procedura pro vymazání pole
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub VymazPole()
        For a As Byte = 0 To 35
            _Pole(a) = 0
        Next
    End Sub

    'zahraj tah(tah) - check for killer
    'odhraj tah(tah)

    'rotuj Q1234RL

    'rotuj celou doprava
    'rotuj celou doleva

    'kontroluj 5


    Public Sub BackUp_Board(ByVal IniBoard() As SByte, ByRef BackUp() As SByte)

        For a As Byte = 0 To 35
            BackUp(a) = IniBoard(a)
        Next

    End Sub

    Public Sub Rotate_from_Backup(ByVal BackUpField_Value As SByte, ByRef BoardPosition As SByte)

        If BackUpField_Value = 1 Then
            BoardPosition = 1
        ElseIf BackUpField_Value = -1 Then
            BoardPosition = -1
        Else
            BoardPosition = 0
        End If


    End Sub

    Public Sub ChangePlayer()

        If _HracNaTahu = 1 Then
            'If Player_White = 0 Then

            If PD_Check_For_5_FINAL(1) = True Then
                _BilyCekaNaVyhru = True
            End If

            _HracNaTahu = -1
            _BilyTahnul = False
            _BilyRotoval = True

            'End If
        ElseIf _HracNaTahu = -1 Then
            'If Player_Black = 0 Then

            If PD_Check_For_5_FINAL(-1) = True Then
                _CernyCekaNaVyhru = True
            End If

            _HracNaTahu = 1
            _CernyTahnul = False
            _CernyRotoval = True

            'End If
        End If

    End Sub

    Public Function CurrentPlayerHasRightToMove() As Boolean

        If _HracNaTahu = 1 Then
            If _BilyRotoval = False Then Return True Else Return False
        ElseIf _HracNaTahu = -1 Then
            If _CernyRotoval = False Then Return True Else Return False
        Else
            Return False
        End If

    End Function


    Public Sub Rotuj_Q1L(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(3), _Pole(15))
            Rotate_from_Backup(BoardBackup(9), _Pole(16))
            Rotate_from_Backup(BoardBackup(15), _Pole(17))
            Rotate_from_Backup(BoardBackup(4), _Pole(9))
            Rotate_from_Backup(BoardBackup(10), _Pole(10))
            Rotate_from_Backup(BoardBackup(16), _Pole(11))
            Rotate_from_Backup(BoardBackup(5), _Pole(3))
            Rotate_from_Backup(BoardBackup(11), _Pole(4))
            Rotate_from_Backup(BoardBackup(17), _Pole(5))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 1, "L")

            ChangePlayer()

        End If

    End Sub
    Public Sub Rotuj_Q1R(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(3), _Pole(5))
            Rotate_from_Backup(BoardBackup(9), _Pole(4))
            Rotate_from_Backup(BoardBackup(15), _Pole(3))
            Rotate_from_Backup(BoardBackup(4), _Pole(11))
            Rotate_from_Backup(BoardBackup(10), _Pole(10))
            Rotate_from_Backup(BoardBackup(16), _Pole(9))
            Rotate_from_Backup(BoardBackup(5), _Pole(17))
            Rotate_from_Backup(BoardBackup(11), _Pole(16))
            Rotate_from_Backup(BoardBackup(17), _Pole(15))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 1, "R")

            ChangePlayer()

        End If

    End Sub

    Public Sub Rotuj_Q2L(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(0), _Pole(12))
            Rotate_from_Backup(BoardBackup(6), _Pole(13))
            Rotate_from_Backup(BoardBackup(12), _Pole(14))
            Rotate_from_Backup(BoardBackup(1), _Pole(6))
            Rotate_from_Backup(BoardBackup(7), _Pole(7))
            Rotate_from_Backup(BoardBackup(13), _Pole(8))
            Rotate_from_Backup(BoardBackup(2), _Pole(0))
            Rotate_from_Backup(BoardBackup(8), _Pole(1))
            Rotate_from_Backup(BoardBackup(14), _Pole(2))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 2, "L")

            ChangePlayer()

        End If

    End Sub
    Public Sub Rotuj_Q2R(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(0), _Pole(2))
            Rotate_from_Backup(BoardBackup(6), _Pole(1))
            Rotate_from_Backup(BoardBackup(12), _Pole(0))
            Rotate_from_Backup(BoardBackup(1), _Pole(8))
            Rotate_from_Backup(BoardBackup(7), _Pole(7))
            Rotate_from_Backup(BoardBackup(13), _Pole(6))
            Rotate_from_Backup(BoardBackup(2), _Pole(14))
            Rotate_from_Backup(BoardBackup(8), _Pole(13))
            Rotate_from_Backup(BoardBackup(14), _Pole(12))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 2, "R")

            ChangePlayer()

        End If

    End Sub

    Public Sub Rotuj_Q3L(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(18), _Pole(30))
            Rotate_from_Backup(BoardBackup(24), _Pole(31))
            Rotate_from_Backup(BoardBackup(30), _Pole(32))
            Rotate_from_Backup(BoardBackup(19), _Pole(24))
            Rotate_from_Backup(BoardBackup(25), _Pole(25))
            Rotate_from_Backup(BoardBackup(31), _Pole(26))
            Rotate_from_Backup(BoardBackup(20), _Pole(18))
            Rotate_from_Backup(BoardBackup(26), _Pole(19))
            Rotate_from_Backup(BoardBackup(32), _Pole(20))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 3, "L")

            ChangePlayer()

        End If

    End Sub
    Public Sub Rotuj_Q3R(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(18), _Pole(20))
            Rotate_from_Backup(BoardBackup(24), _Pole(19))
            Rotate_from_Backup(BoardBackup(30), _Pole(18))
            Rotate_from_Backup(BoardBackup(19), _Pole(26))
            Rotate_from_Backup(BoardBackup(25), _Pole(25))
            Rotate_from_Backup(BoardBackup(31), _Pole(24))
            Rotate_from_Backup(BoardBackup(20), _Pole(32))
            Rotate_from_Backup(BoardBackup(26), _Pole(31))
            Rotate_from_Backup(BoardBackup(32), _Pole(30))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 3, "R")

            ChangePlayer()

        End If

    End Sub

    Public Sub Rotuj_Q4L(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(21), _Pole(33))
            Rotate_from_Backup(BoardBackup(27), _Pole(34))
            Rotate_from_Backup(BoardBackup(33), _Pole(35))
            Rotate_from_Backup(BoardBackup(22), _Pole(27))
            Rotate_from_Backup(BoardBackup(28), _Pole(28))
            Rotate_from_Backup(BoardBackup(34), _Pole(29))
            Rotate_from_Backup(BoardBackup(23), _Pole(21))
            Rotate_from_Backup(BoardBackup(29), _Pole(22))
            Rotate_from_Backup(BoardBackup(35), _Pole(23))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 4, "L")

            ChangePlayer()

        End If

    End Sub
    Public Sub Rotuj_Q4R(Optional ByVal Notate As Boolean = True)

        If CurrentPlayerHasRightToMove() = True Then

            Dim BoardBackup(35) As SByte

            BackUp_Board(_Pole, BoardBackup)

            Rotate_from_Backup(BoardBackup(21), _Pole(23))
            Rotate_from_Backup(BoardBackup(27), _Pole(22))
            Rotate_from_Backup(BoardBackup(33), _Pole(21))
            Rotate_from_Backup(BoardBackup(22), _Pole(29))
            Rotate_from_Backup(BoardBackup(28), _Pole(28))
            Rotate_from_Backup(BoardBackup(34), _Pole(27))
            Rotate_from_Backup(BoardBackup(23), _Pole(35))
            Rotate_from_Backup(BoardBackup(29), _Pole(34))
            Rotate_from_Backup(BoardBackup(35), _Pole(33))

            If Notate = True Then Notation_WriteRotation(_HracNaTahu, 4, "R")

            ChangePlayer()

        End If

    End Sub


End Class
